Subject: Re: [PATCH] http-push: making HTTP push more robust and more user-friendly

From: Junio C Hamano <[email-masked]>
Date: Mon, 21 Jan 2008 14:05:01 -0800

Daniel Barkalow <[email-masked]> writes:

> On Mon, 21 Jan 2008, Junio C Hamano wrote:
>
>> Johannes Schindelin <[email-masked]> writes:
>> 
>> > IMHO it is safer to disable it for curl < 7.0xa -- even if it affects a 
>> > number of distros -- than to give the illusion that it works, when it does 
>> > not.
>> >
>> > As for fixing it in the non-MULTI case, I have a hunch that Mike's 
>> > cleanups will help that, but that this is a 1.5.5 feature.
>> >
>> > So, I would like to read in the ReleaseNotes something like this:
>> >
>> > -- snip --
>> > Support for pushing via HTTP was broken with curl versions prior to 7.16, 
>> > so we disabled it for now.  However, it is likely that a major cleanup of 
>> > the http transport code -- scheduled after the release of git 1.5.4 -- 
>> > will be supported with more curl versions.
>> > -- snap --
>> 
>> That's tempting but I suspect that it might be a wrong approach.
>> 
>> I think two important questions are:
>> 
>>  * Do we know that the current code is broken for everybody, or
>>    just broken for the majority of people who do nontrivial
>>    things?
>> 
>>  * Is the code in 1.5.3.8 any better?  IOW, did we make it worse
>>    during 1.5.4 cycle?
>
> I believe that the move to transport.c didn't change anything except 
> cleaning up linking conflicts and moving the dispatch by URL method code. 
> I suppose something could have gotten messed up in dealing with the 
> linking conflicts, but I don't think it actually did.

Ok, so copying 1.5.3.8 http-push to include in 1.5.4 would not
make it work, it sounds like.  Then I guess Dscho's notice (and
the same notice with disabling http-push without MULTI in
1.5.3.9) would be the sane thing we should do in the short term.